Loading...
Searching...
No Matches
pcl::PointXY32i Class Reference

2D point with integer x- and y-coordinates. More...

`#include <pcl/ml/point_xy_32i.h>`

## Public Member Functions

| PointXY32i ()=default
| Constructor.
virtual | ~PointXY32i ()=default
| Destructor.
void | serialize (std::ostream &stream) const
| Serializes the point to the specified stream.
void | deserialize (std::istream &stream)
| Deserializes the point from the specified stream.

## Static Public Member Functions

static PointXY32i | randomPoint (const int min_x, const int max_x, const int min_y, const int max_y)
| Creates a random point within the specified window.

## Public Attributes

int | x {0}
| The x-coordinate of the point.
int | y {0}
| The y-coordinate of the point.

## Detailed Description

2D point with integer x- and y-coordinates.

Definition at line 47 of file point_xy_32i.h.

## Constructor & Destructor Documentation

## PointXY32i()

pcl::PointXY32i::PointXY32i | ( |  | ) |

inline default

Constructor.

## ~PointXY32i()

virtual pcl::PointXY32i::~PointXY32i | ( |  | ) |

inline virtual default

Destructor.

## Member Function Documentation

## deserialize()

void pcl::PointXY32i::deserialize | ( | std::istream & | stream | ) |

inline

Deserializes the point from the specified stream.

Parameters

  [in] | stream | the source for the deserialization

Definition at line 71 of file point_xy_32i.h.

References x, and y.

## randomPoint()

PointXY32i pcl::PointXY32i::randomPoint | ( | const int | min_x,
|  | const int | max_x,
|  | const int | min_y,
|  | const int | max_y )

static

Creates a random point within the specified window.

Parameters

  [in] | min_x | the minimum value for the x-coordinate of the point
  [in] | max_x | the maximum value for the x-coordinate of the point
  [in] | min_y | the minimum value for the y-coordinate of the point
  [in] | max_y | the maximum value for the y-coordinate of the point

Referenced by pcl::MultiChannel2DComparisonFeatureHandler< float, 1 >::createRandomFeatures().

## serialize()

void pcl::PointXY32i::serialize | ( | std::ostream & | stream | ) | const

inline

Serializes the point to the specified stream.

Parameters

  [out] | stream | the destination for the serialization

Definition at line 60 of file point_xy_32i.h.

References x, and y.

## Member Data Documentation

## x

int pcl::PointXY32i::x {0}

The x-coordinate of the point.

Definition at line 89 of file point_xy_32i.h.

Referenced by deserialize(), and serialize().

## y

int pcl::PointXY32i::y {0}

The y-coordinate of the point.

Definition at line 91 of file point_xy_32i.h.

Referenced by deserialize(), and serialize().

The documentation for this class was generated from the following file:

- pcl/ml/point_xy_32i.h